require "defines"
require "util"

--[[ globs and functions defined

glob.AlyxVC_MasterList
	List of all Void Chests

--]]



-------------------
function AlyxVC_Initialize(event)
	if glob.AlyxVC_MasterList == nil then
		glob.AlyxVC_MasterList = {}
	end
	
end

-------------------
function AlyxVC_CreateVC(event)
	if event.createdentity.name == "void-chest" then
		local entity = event.createdentity
		table.insert(glob.AlyxVC_MasterList, entity);
	end
	
end

-------------------
function AlyxVC_RunStep(event)
		for index, voidChest in pairs(glob.AlyxVC_MasterList) do
		
			if voidChest.valid then
				voidChest.getinventory(1).clear()
			
			else
				glob.AlyxVC_MasterList[index] = nil
			
			end
		end
end

game.oninit(AlyxVC_Initialize)
game.onevent(defines.events.ontick, AlyxVC_RunStep)
game.onevent(defines.events.onbuiltentity, AlyxVC_CreateVC)
game.onevent(defines.events.onrobotbuiltentity, AlyxVC_CreateVC)
